module Dockman
  module Extensions
    module Pathname

      def self.included(base)
        base.extend ClassMethods
      end

      module ClassMethods

        def home
          home_dir = ENV.fetch('HOME')
          new home_dir
        end

      end
    end
  end
end

Pathname.include Dockman::Extensions::Pathname