module Dockman
  module Dockify
    class SetupGenerator < Rails::Generators::Base

      source_root File.expand_path('../templates', __FILE__)

      desc 'This will install some needed Gems'

      def add_rspec
        if yes?("Want to install rspec?")
          gem_group :development, :test do
            gem 'rspec-rails', '~> 3.8'
          end
          system 'bundle install'
        end
      end

      def add_guard
        if yes?("Want to install guard and rubocop?")
          gem_group :development do
            gem 'guard-rspec', '~> 4.7', require: false
            gem 'spring-commands-rspec'
            gem 'rubocop', '~> 0.60'
          end
          system 'bundle install'
          system 'bundle exec guard init rspec'
        end
      end

    end
  end
end