#!/usr/bin/bash
set -e
bundle check || bundle install

#until PGPASSWORD=nopass psql -h "db" -U "myamsix_returns" -d "myamsix_abstract" -c '\q'; do
#  >&2 echo "Postgres is unavailable - sleeping"
#  sleep 1
#done
#
#>&2 echo "Postgres is up - executing command"

if bin/rails db:migrate:status &> /dev/null; then
  bin/rails db:migrate
else
  bin/rails db:setup
fi

if [ -z "${DEBUG_MODE}" ]; then
   rm -rf tmp/pids/* && bundle exec rails server --port 7000 --binding 0.0.0.0 -e development
 else
   rm -rf tmp/pids/* && bundle exec rdebug-ide --key-value --evaluation-timeout 10 --evaluation-control --time-limit 100 --memory-limit 0 --rubymine-protocol-extensions --host 0.0.0.0 --port 1234 --dispatcher-port 26168 -- bin/rails server -b 0.0.0.0 -p 7000 -e development
fi
